Skip to content

Get gateways

GET
/payments/gateways
curl --request GET \
--url https://api.ltesocks.io/v2/payments/gateways \
--header 'Authorization: Bearer <token>'

Get available payment gateways

Successful operation

Media typeapplication/json
object
data
Array<object>
object
id
string
name
string
type
string
Allowed values: crypto fiat
currencies

For crypto gateways only

Array<string>
fee
number format: float
Example
{
"data": [
{
"id": "000000000000",
"name": "gateway name",
"type": "crypto",
"currencies": [
"btc",
"eth",
"erc20",
"trc20"
],
"fee": 0.5
}
]
}

Error

Media typeapplication/json
object
error
required

Error text representation

string
code
required

Error code representation

integer
Example
{
"error": "example error",
"code": 400
}